## ring 20160720.3.73cfbb9

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.6)
project (opendht)
set (opendht_VERSION_MAJOR 0)
set (opendht_VERSION_MINOR 6.2)
set (opendht_VERSION ${opendht_VERSION_MAJOR}.${opendht_VERSION_MINOR})
set (PACKAGE_VERSION ${opendht_VERSION})

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

set (prefix ${CMAKE_INSTALL_PREFIX})
set (exec_prefix "\${prefix}")
set (libdir "\${exec_prefix}/lib")
set (includedir "\${prefix}/include")

option (OPENDHT_DEBUG "Build with debug flags" OFF)
option (OPENDHT_STATIC "Build static library" ON)
option (OPENDHT_SHARED "Build shared library" ON)
option (OPENDHT_LTO "Build with LTO" OFF)

option (OPENDHT_PYTHON "Build Python bindings" OFF)
option (OPENDHT_TOOLS "Build DHT tools" ON)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -std=c++11 -Wno-return-type -Wall -Wextra -Wnon-virtual-dtor")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMSGPACK_DISABLE_LEGACY_NIL -DMSGPACK_DISABLE_LEGACY_CONVERT")
if (OPENDHT_LTO)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto -fuse-linker-plugin")
    if (CMAKE_COMPILER_IS_GNUCC)
        SET (CMAKE_AR        "gcc-ar")
        SET (CMAKE_NM        "gcc-nm")
        SET (CMAKE_RANLIB    "gcc-ranlib")
    endif ()
endif ()

find_package (GnuTLS 3.1 REQUIRED)
find_package (Msgpack 1.2 REQUIRED)
if (OPENDHT_TOOLS)
    find_package (Readline 6 REQUIRED)
endif ()

list (APPEND opendht_SOURCES
    src/utils.cpp
    src/infohash.cpp
    src/crypto.cpp
    src/default_types.cpp
    src/node.cpp
    src/value.cpp
    src/dht.cpp
    src/callbacks.cpp
    src/routing_table.cpp
    src/node_cache.cpp
    src/network_engine.cpp
    src/securedht.cpp
    src/dhtrunner.cpp
    src/argon2/argon2.c
    src/argon2/core.c
    src/argon2/blake2/blake2b.c
    src/argon2/thread.c
    src/argon2/encoding.c
    src/argon2/ref.c
)

list (APPEND opendht_HEADERS
    include/opendht/utils.h
    include/opendht/rng.h
    include/opendht/crypto.h
    include/opendht/infohash.h
    include/opendht/default_types.h
    include/opendht/node.h
    include/opendht/value.h
    include/opendht/dht.h
    include/opendht/callbacks.h
    include/opendht/routing_table.h
    include/opendht/node_cache.h
    include/opendht/network_engine.h
    include/opendht/scheduler.h
    include/opendht/securedht.h
    include/opendht/log.h
    include/opendht.h
)

configure_file (
    opendht.pc.in
    opendht.pc
    @ONLY
)

include_directories (
    ./
    include/
    include/opendht/
    ${CMAKE_CURRENT_BINARY_DIR}/include/
)

if (OPENDHT_DEBUG)
    set(CMAKE_BUILD_TYPE Debug)
else ()
    set(CMAKE_BUILD_TYPE Release)
endif ()

if (NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)
endif ()

if (OPENDHT_STATIC)
    add_library (opendht-static STATIC
        ${opendht_SOURCES}
        ${opendht_HEADERS}
    )
    set_target_properties (opendht-static PROPERTIES OUTPUT_NAME "opendht")
    if (OPENDHT_LTO)
        target_link_libraries(opendht-static -flto -fuse-linker-plugin)
    endif ()
    target_link_libraries(opendht-static gnutls nettle)
    install (TARGETS opendht-static DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif ()

if (OPENDHT_SHARED)
    add_library (opendht SHARED
        ${opendht_SOURCES}
        ${opendht_HEADERS}
    )
    set_target_properties (opendht PROPERTIES IMPORT_SUFFIX "_import.lib")
    #set_target_properties (opendht PROPERTIES SOVERSION 1 VERSION 1.0.0)
    if (OPENDHT_LTO)
        target_link_libraries(opendht -flto -fuse-linker-plugin)
    endif ()
    target_link_libraries(opendht gnutls nettle)
    install (TARGETS opendht DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif ()

if (OPENDHT_TOOLS)
    add_subdirectory(tools)
endif ()
add_subdirectory(doc)

if (OPENDHT_PYTHON)
    add_subdirectory(python)
endif ()

install (DIRECTORY include DESTINATION ${CMAKE_INSTALL_PREFIX})
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/opendht.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== lrc/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

IF(POLICY CMP0022)
   CMAKE_POLICY(SET CMP0022 NEW)
ENDIF(POLICY CMP0022)

IF(POLICY CMP0043)
   CMAKE_POLICY(SET CMP0043 NEW)
ENDIF(POLICY CMP0043)

IF(POLICY CMP0020)
   CMAKE_POLICY(SET CMP0020 NEW)
ENDIF(POLICY CMP0020)

IF(POLICY CMP0063)
   CMAKE_POLICY(SET CMP0063 NEW)
ENDIF(POLICY CMP0063)

INCLUDE(GNUInstallDirs)
INCLUDE(CMakePackageConfigHelpers)
INCLUDE(GenerateExportHeader)

ADD_DEFINITIONS("-std=c++1y")
ADD_DEFINITIONS(
   ${QT_DEFINITIONS}
   -fexceptions
   -O2
)

PROJECT(ringclient)

# First, check is the compiler is new enough, most version of Clang are fine
# until problems arise, checking for GCC is enough
IF (CMAKE_COMPILER_IS_GNUCC)
   EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
   IF (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
      MESSAGE(STATUS "Found GCC version >= 4.8: " ${GCC_VERSION})
   ELSE()
      MESSAGE(FATAL_ERROR "Your version of GCC is too old, please install GCC 4.8 or later")
   ENDIF()
ENDIF()

SET(CMAKE_AUTOMOC TRUE)

SET(LOCAL_CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${LOCAL_CMAKE_MODULE_PATH})

SET(QT5_MODULE_PATH ${QT5_PATH}/lib/cmake)

FIND_PACKAGE(Ring REQUIRED)
FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5LinguistTools) # translations

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT ENABLE_LIBWRAP)
   FIND_PACKAGE(Qt5DBus)
ELSE()
   SET(ENABLE_LIBWRAP true)
ENDIF()

# Enable some useful warnings
ADD_DEFINITIONS(
   -Wall
   -Wextra
   -Wmissing-declarations
   -Wmissing-noreturn
   -Wpointer-arith
   -Wcast-align
   -Wwrite-strings
   -Wformat-nonliteral
   -Wformat-security
   -Wswitch-enum
   -Winit-self
   -Wmissing-include-dirs
   -Wundef
   -Wmissing-format-attribute
   -Wno-reorder
   -Wunused
   -Wuninitialized
   -Woverloaded-virtual
   -Wunused-value
   -pedantic
   -Wnonnull
   -Wsequence-point
   #-Wsystem-headers
   -Wsizeof-pointer-memaccess
   #-Wuseless-cast
   -Wvarargs

   #See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=55578
   -Wno-unused-function
   -Wno-attributes
)

#Add more warnings for compilers that support it. I used this command:
#curl https://gcc.gnu.org/onlinedocs/gcc-4.9.2/gcc/Warning-Options.html | \
#grep -E "^[\t ]+<br><dt><code>-W[a-zA-Z=-]*" -o | grep -E "\-W[a-zA-Z=-]*" -o >
#cat /tmp/48 /tmp/49 | sort | uniq -u
# IF (CMAKE_COMPILER_IS_GNUCC)

IF (CMAKE_COMPILER_IS_GNUCC)
   IF (GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
      ADD_DEFINITIONS(
         -Wunused-but-set-parameter
         -Wconditionally-supported
         #-Wsuggest-attribute=const
         -Wno-cpp
         -Wdouble-promotion
         -Wdate-time
         -Wdelete-incomplete
         -Wfloat-conversion
      )
   ENDIF()

   if (GCC_VERSION VERSION_GREATER 5.1 OR GCC_VERSION VERSION_EQUAL 5.1)
      ADD_DEFINITIONS(
         #-Wsuggest-override
         #-Wsuggest-final-types
         #-Wsuggest-final-methods
         -Wbool-compare
         -Wformat-signedness
         -Wlogical-not-parentheses
         -Wnormalized
         -Wshift-count-negative
         -Wshift-count-overflow
         -Wsized-deallocation
         -Wsizeof-array-argument
      )
   ENDIF()

   IF (GCC_VERSION VERSION_GREATER 6.0 OR GCC_VERSION VERSION_EQUAL 6.0)
      ADD_DEFINITIONS(
         -Wnull-dereference
         -Wshift-negative-value
         -Wshift-overflow
         -Wduplicated-cond
         -Wmisleading-indentation
      )
   ENDIF()
ENDIF()

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   ADD_DEFINITIONS(
      -Wno-c++98-compat
      -Wno-c++98-compat-pedantic
      -Wno-unknown-pragmas
      -Wno-documentation-unknown-command
      -Wno-padded
      -Wno-old-style-cast
      -Wno-sign-conversion
      -Wno-exit-time-destructors
      -Wno-global-constructors
      -Wno-shorten-64-to-32
      #-Weverything
   )
endif()

# OS X
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

   SET(CMAKE_MACOSX_RPATH ON)
   SET(CMAKE_SKIP_BUILD_RPATH FALSE)
   SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
   SET(CMAKE_INSTALL_RPATH "${CMAKE_CURRENT_SOURCE_DIR}")
   SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

IF(${ENABLE_LIBWRAP} MATCHES true)
   # The daemon is only required for when using direct linking
   IF (${RING_FOUND} MATCHES "false")
      MESSAGE(FATAL_ERROR "The daemon is required")
   ENDIF()

   ADD_SUBDIRECTORY(${CMAKE_SOURCE_DIR}/src/qtwrapper)
   ADD_DEFINITIONS(-DENABLE_LIBWRAP=true) # Use native calls (no dbus)
   ADD_DEFINITIONS(-Wno-unknown-pragmas)
   SET(ENABLE_QT5 true) # Use Qt5
   MESSAGE("Compiling with qtwrapper enabled, Qt5 enabled.")

   INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR}/src/qtwrapper/)

   IF(${VERBOSE_IPC} MATCHES true)
      MESSAGE("Adding more debug output")
      ADD_DEFINITIONS(-DVERBOSE_IPC=true)
   ENDIF()
ENDIF()

IF (${RING_FOUND} MATCHES "true")
   INCLUDE_DIRECTORIES(${ring_INCLUDE_DIRS})
ENDIF()

IF(NOT (${ENABLE_VIDEO} MATCHES false))
   MESSAGE("VIDEO enabled")
   SET(ENABLE_VIDEO 1 CACHE BOOLEAN "Enable video")
   add_definitions( -DENABLE_VIDEO=true )
ENDIF(NOT (${ENABLE_VIDEO} MATCHES false))

# ADD_DEFINITIONS(-DQT_DISABLE_DEPRECATED_BEFORE=1)

SET(GENERIC_LIB_VERSION "1.0.0")

INCLUDE_DIRECTORIES(SYSTEM ${QT_INCLUDES} )
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR})

# Build dbus interfaces
IF(DEFINED RING_XML_INTERFACES_DIR)
    SET (dbus_xml_introspecs_path ${RING_XML_INTERFACES_DIR})
ELSEIF(EXISTS "${RING_BUILD_DIR}/../bin/dbus")
    SET (dbus_xml_introspecs_path ${RING_BUILD_DIR}/../bin/dbus)
ELSE()
    SET (dbus_xml_introspecs_path ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces)
ENDIF()

#File to compile
SET( libringclient_LIB_SRCS
  #Data objects
  src/call.cpp
  src/uri.cpp
  src/account.cpp
  src/credential.cpp
  src/person.cpp
  src/contactmethod.cpp
  src/numbercategory.cpp
  src/macro.cpp
  src/collectionextensioninterface.cpp
  src/video/rate.cpp
  src/video/device.cpp
  src/video/renderer.cpp
  src/certificate.cpp
  src/securityflaw.cpp
  src/ringtone.cpp
  src/profile.cpp
  src/trustrequest.cpp
  src/media/media.cpp
  src/media/audio.cpp
  src/media/video.cpp
  src/media/text.cpp
  src/media/file.cpp
  src/media/recording.cpp
  src/media/avrecording.cpp
  src/media/textrecording.cpp

  #Models
  src/bootstrapmodel.cpp
  src/accountmodel.cpp
  src/availableaccountmodel.cpp
  src/callmodel.cpp
  src/categorizedhistorymodel.cpp
  src/categorizedbookmarkmodel.cpp
  src/credentialmodel.cpp
  src/categorizedcontactmodel.cpp
  src/useractionmodel.cpp
  src/presencestatusmodel.cpp
  src/phonedirectorymodel.cpp
  src/historytimecategorymodel.cpp
  src/numbercategorymodel.cpp
  src/macromodel.cpp
  src/keyexchangemodel.cpp
  src/tlsmethodmodel.cpp
  src/protocolmodel.cpp
  src/numbercompletionmodel.cpp
  src/profilemodel.cpp
  src/ringtonemodel.cpp
  src/lastusednumbermodel.cpp
  src/securityevaluationmodel.cpp
  src/personmodel.cpp
  src/collectionmodel.cpp
  src/collectionextensionmodel.cpp
  src/collectionmanagerinterface.cpp
  src/networkinterfacemodel.cpp
  src/certificatemodel.cpp
  src/ciphermodel.cpp
  src/accountstatusmodel.cpp
  src/codecmodel.cpp
  src/recentmodel.cpp
  src/chainoftrustmodel.cpp
  src/pendingtrustrequestmodel.cpp
  src/video/devicemodel.cpp
  src/video/sourcemodel.cpp
  src/video/channel.cpp
  src/video/resolution.cpp
  src/video/configurationproxy.cpp
  src/audio/alsapluginmodel.cpp
  src/audio/inputdevicemodel.cpp
  src/audio/managermodel.cpp
  src/audio/outputdevicemodel.cpp
  src/audio/ringtonedevicemodel.cpp
  src/audio/settings.cpp
  src/media/recordingmodel.cpp

  #Data collections
  src/transitionalpersonbackend.cpp
  src/collectioninterface.cpp
  src/collectioneditor.cpp
  src/fallbackpersoncollection.cpp
  src/daemoncertificatecollection.cpp
  src/foldercertificatecollection.cpp
  src/localrecordingcollection.cpp
  src/localtextrecordingcollection.cpp
  src/localhistorycollection.cpp
  src/localprofilecollection.cpp
  src/localmacrocollection.cpp
  src/localbookmarkcollection.cpp
  src/localringtonecollection.cpp
  src/peerprofilecollection.cpp

  #Communication
  src/dbus/configurationmanager.cpp
  src/dbus/callmanager.cpp
  src/dbus/instancemanager.cpp
  src/dbus/videomanager.cpp
  src/dbus/presencemanager.cpp

  #Default interface implementations
  src/globalinstances.cpp
  src/accountlistcolorizerdefault.cpp
  src/presenceserializerdefault.cpp
  src/pixmapmanipulatordefault.cpp
  src/shortcutcreatordefault.cpp
  src/actionextenderdefault.cpp
  src/dbuserrorhandlerdefault.cpp

  #Other
  src/hookmanager.cpp
  src/itembase.cpp
  src/private/vcardutils.cpp
  src/private/videorenderermanager.cpp
  src/video/previewmanager.cpp
  src/private/sortproxies.cpp
  src/private/threadworker.cpp
  src/mime.cpp

  #Extension
  src/extensions/presencecollectionextension.cpp
  src/extensions/securityevaluationextension.cpp
)

IF(${ENABLE_LIBWRAP} MATCHES true)
   SET(libringclient_LIB_SRCS ${libringclient_LIB_SRCS}
      src/private/directrenderer.cpp
   )
ELSE()
   SET(libringclient_LIB_SRCS ${libringclient_LIB_SRCS}
      src/private/shmrenderer.cpp
   )
ENDIF(${ENABLE_LIBWRAP} MATCHES true)

# Public API
SET( libringclient_LIB_HDRS
  src/account.h
  src/credential.h
  src/accountmodel.h
  src/availableaccountmodel.h
  src/call.h
  src/call.hpp
  src/callmodel.h
  src/categorizedhistorymodel.h
  src/person.h
  src/bootstrapmodel.h
  src/collectioninterface.h
  src/collectioninterface.hpp
  src/categorizedbookmarkmodel.h
  src/credentialmodel.h
  src/categorizedcontactmodel.h
  src/useractionmodel.h
  src/presencestatusmodel.h
  src/contactmethod.h
  src/phonedirectorymodel.h
  src/historytimecategorymodel.h
  src/numbercategorymodel.h
  src/keyexchangemodel.h
  src/codecmodel.h
  src/tlsmethodmodel.h
  src/protocolmodel.h
  src/numbercompletionmodel.h
  src/profilemodel.h
  src/numbercategory.h
  src/ringtonemodel.h
  src/localrecordingcollection.h
  src/localbookmarkcollection.h
  src/localringtonecollection.h
  src/localmacrocollection.h
  src/localhistorycollection.h
  src/localprofilecollection.h
  src/localtextrecordingcollection.h
  src/peerprofilecollection.h
  src/lastusednumbermodel.h
  src/securityevaluationmodel.h
  src/certificate.h
  src/personmodel.h
  src/transitionalpersonbackend.h
  src/collectionmodel.h
  src/collectionextensionmodel.h
  src/collectionextensionmodel.hpp
  src/macromodel.h
  src/hookmanager.h
  src/uri.h
  src/macro.h
  src/ringtone.h
  src/profile.h
  src/itembase.h
  src/itembase.hpp
  src/mime.h
  src/collectionextensioninterface.h
  src/collectionmanagerinterface.h
  src/collectionmanagerinterface.hpp
  src/networkinterfacemodel.h
  src/certificatemodel.h
  src/ciphermodel.h
  src/accountstatusmodel.h
  src/collectionmediator.h
  src/collectionmediator.hpp
  src/collectioneditor.h
  src/collectioneditor.hpp
  src/fallbackpersoncollection.h
  src/daemoncertificatecollection.h
  src/foldercertificatecollection.h
  src/securityflaw.h
  src/collectioncreationinterface.h
  src/collectionconfigurationinterface.h
  src/recentmodel.h
  src/chainoftrustmodel.h
  src/pendingtrustrequestmodel.h
  src/trustrequest.h
  src/globalinstances.h
  src/accountlistcolorizerdefault.h
  src/presenceserializerdefault.h
  src/pixmapmanipulatordefault.h
  src/shortcutcreatordefault.h
  src/dbuserrorhandlerdefault.h
  src/itemdataroles.h
)

SET(libringclient_video_LIB_HDRS
  src/video/device.h
  src/video/devicemodel.h
  src/video/sourcemodel.h
  src/video/renderer.h
  src/video/resolution.h
  src/video/channel.h
  src/video/rate.h
  src/video/previewmanager.h
  src/video/configurationproxy.h
  #The renderer implementations are not exported on purpose
)

SET(libringclient_audio_LIB_HDRS
  src/audio/alsapluginmodel.h
  src/audio/inputdevicemodel.h
  src/audio/managermodel.h
  src/audio/outputdevicemodel.h
  src/audio/ringtonedevicemodel.h

=== daemon/tools/build-system/launchpad/sflphone-daemon-video/debian/changelog ===
sflphone-daemon-video (1.1.0-rc20120607~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.1.0-rc20120607~ppa1~SYSTEM **

  * * #12071: audiopreferences: fix make check
  * * #12071: cleanup
  * #12071: Lower expat dependency version
  * * #12085: alsa: fix ringtone update bug, cleanup
  * #12071: Fix pulseaudio compilation error
  * #12071: Make pulseaudio optional at configuration time
  * * #12091: daemon: issue warning if falling back to ALSA
  * video: fixed make check
  * *#12085: alsa: don't segfault on snd_pcm_avail_update error
  * #12070: Add --without-pulse option
  * * #12055: video: fix build for older libav
  * [ #11886 ] cleanup
  * [ #11886 ] Add basic reverse peer naming support
  * [ #12008 ] Implement GUI part
  * * #12012: video: fix some regressions
  * * #12002: yamlparser: don't wipe out config if going from normal
    build to --enable-video
  * [ #12008 ] Add ConfigurationManager::getRingtoneList()
  * * #12002: video: fix config file serialization/deserialization
  * * #11987: managerimpl: fix bugs in conference when removing
    participants
  * * #11987: manager: fixed transfer from conference
  * * #11987: mainbuffer: cleanup logging
  * * #11979: pulse: fixed mismatched device list
  * * #11971: audiolayer: fix bugs with getDeviceList
  * * #11960: manager: validate conference earlier when processing
    participants
  * * #11960: manager: fixed segfault on transfer from conference
  * * #11966: IP2IP: make alias consistently IP2IP
  * * #11965: sipvoiplink: add more error checking in SDP negotiation
  * * #11964: mainbuffer/ringbuffer: cleanup API
  * sdp: remove unused variable warning
  * * #11941: video: fix deprecated libav_api warnings
  * * #11949: pulselayer: fix bug in getDeviceList
  * video: whitespace fixes
  * * #11951: video: fixed threading issues for ucommon Thread
  * [#11848] Properly disable testPulseConnect
  * [#11848] Disable pulseConnect test
  * sdp: cleanup
  * sdp: cleanup
  * * #11860: mainbuffer: remove dead and/or buggy code
  * * #11851: sdp: fixed gcc type narrowing warnings
  * * #11851: audiostream: fixed gcc type narrowing warnings
  * * #11841: don't put code with side effects in assert()
  * * #11840: audiortp: remove some global symbols/variables
  * * #11828: audiofile: fix broken build
  * * #11828: audioloop: don't shadow sampleRate variable in derived
    classes
  * * #11818: gnome: stop daemon on SIGTERM, SIGINT or SIGHUP
  * * #11499: daemon should also quit gracefully on SIGHUP
  * * #11813: daemon configure should fail if expat is not installed
  * #10304: updatePlaybackScale dbus method uses int 32 bit for size and
    position (allow for 24 days long recording playback)
  * #10304: Add time lable for seekslider
  * * #11780: sip: don't use abort or leak calls on error and don't
    restrict SDP size to 1000 bytes in transaction_request_cb
  * * #11735: daemon: added timestamp start to call details
  * * #10304: historyitem: added operator > defined in terms of operator
    <
  * * #11252: historyitem: added missing unistd.h header
  * * #11252: daemon: removed deprecated zrtp code
  * * #11728: yaml: check that nodes are valid before using them.
  * * #10797: send DTMF over RTP as per RFC2833
  * * #11706: managerimpl: added unsetCurrentCall method
  * * #11698: daemon: fix build for c++11
  * * #10304: historyitem: file_exists need not be a member method
  * * #11499: managerimpl: don't crash if signal and dbus try and finish
    the manager at the same time
  * #10304: Prevent from storing removed files in history
  * * #11499: daemon: Exit cleanly on SIGINT or SIGTERM
  * * #10226: audiocodecfactory: use array instead of vector for codec
    name lookup
  * * #10226: audiocodecfactory: make codec loading stricter
  * #10304: RCecale positions and size values for playback recording
  * #11530: Make sure that only appropriate configuration option are
    parsed for IP2IP calls
  * * 11480: video: disabled by default
  * * #11459: history: protect historyitems vector with mutex
  * * #11448: fix video preferences for empty camera list
  * #10304: Implemented playback seek in gnome client
  * * #11269: video: fix codec per account management
  * #10304: Implemented playback scale in gnome client
  * Fix includes for gcc 4.7
  * * #11269: make clearer distinction between codecs and audiocodecs
  * * #11269: merged master into video
  * * #10296: managerimpl: more usage of getCallFromCallID
  * * #10296: verify that calls exists before trying to join them in a
    conference
  * * #11208: bump version numbers for release 1.1.0
  * managerimpl: rename ManagerImpl::serialize/unserialize ->
    join_string/split_string
  * Fix warnings in resampler test
  * * #10732: sipvoiplink: fix code that validates IP address
  * Add historyChanged signal, better than managing it client side
  * #10795: fix sipaccount deserialisation broken
  * #10736: implement getConferenceId dbus method given a call id
  * #10736: do not use iterator in daemon when joining conferences
  * #10736: Fix joining conferences in daemon
  * * #10736: gnome: fix crash on restart with active conference
  * managerimpl: removed unused pulselayer.h header
  * Save history everytime it change, prevent the file never to be saved
    in some senario (SIG, crash, ASSERT, etc)
  * * #10320: manager: check that participants are unique before joining
  * #10335: Add a noise suppressor for incoming rtp streams
  * * #10322: sip: registration state should not be always set to
    ErrorAuth on error
  * #10220: Fix recording thread does not exit when hanging up while
    recording
  * * #9903: fix includes for new ccrtp
  * #10230: Get back default mainbuffer sampling rate to 8kHz, no need
    of decoding noise suppressor
  * #10230: Use a different samplerate converter for rtp encoding and
    decoding
  * * #9903: create DynamicPayloadFormat on stack, initialize earlier
  * * #9903: audiorecorder: initialize buffer to silence, not random
    data


=== daemon/tools/build-system/launchpad/sflphone-gnome/debian/changelog ===
sflphone-gnome (1.1.0-rc20120607~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.1.0-rc20120607~ppa1~SYSTEM **

  * gnome: cleanup logging
  * * #12061: gnome: fix video codec list display
  * * #12050: gnome: fixed regression in active codec handling
  * #11732: Do not align menu with other interface component
  * * #11818: gnome: stop daemon on SIGTERM, SIGINT or SIGHUP
  * #10304: updatePlaybackScale dbus method uses int 32 bit for size and
    position (allow for 24 days long recording playback)
  * #10304: Add time lable for seekslider
  * * #10725: gnome: seekslider: fixed compiler warning due to missing
    header
  * * #11732: gnome:calltree: fix warning when searchbar is not created
  * * #11252: daemon: removed deprecated zrtp code
  * #10725: Consolidate test to determine if there is a recording,
    remove log on NULL pointer
  * #10725: Remove logging from stop callback in seekslider
  * #10725: No need of playback related callbacks in uimanager
  * #10725: Remove logging in seekslider when no selected call
  * #11732: Align Icons with dialpad in gnome client
  * #10304: Make sure that the playback won't be updated after reset
  * #10304: Prevent playback widget reset from stoping dtmf
  * #10304: Move Playback widget at the bottom of the main window
  * #10304: Fix logic to determine outgoing/incoming calls for recording
    icon
  * * #11685: gnome: fixed memory leaks in config menus
  * #10304: Fix reset seekslider that prevent scale to be updated at
    first read

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Thu, 07 Jun 2012 16:04:59 -0400

sflphone-gnome (1.0.0-rc20110930~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.0.0-rc20110930~ppa1~SYSTEM **

  * update kde .gitignore
  * Fix bug in volume widget
  * More polishing for release
  * Bump version to 1.0.0
  * [#7023] Add the ability to load an abstract contact backend in the
    library to resolve more data, polish code
  * [#7021] More cleanup for release
  * Cleanup
  * [#7021] Refactor KDE client dbus handling, add a missing call in
    daemon and port the DataEngine to the new API
  * Remove some annoying debug
  * merge language scripts
  * remove obsolete 'VERSION' files
  * update install instructions
  * Add missing translations to gnome
  * language update
  * Revert "Don't reference count DBus clients, exit core immediately
    when one of them request it"
  * Don't reference count DBus clients, exit core immediately when one
    of them request it
  * [7021] Add contact abstraction support
  * [#7121] Polishing library (over). Indentation, spacing and naming
    are now consistent
  * codecs: link to libccrtp, don't use logger
  * Fix a daemon bug
  * [#7038] Fix adding contact
  * * #7037 : stop audio stream after all calls have been hanged up
  * [#7025] Add full support for bookmark
  * SFLPhone KDE do not destroy history anymore
  * Fix config skeleton
  * Close the daemon once and for all, no more automatic respawning
  * Fix "unregistered account" bug (I hope so)
  * Close SFLPhone at the right place, it still respawn, I don't know
    why
  * Remove dead code
  * Fix regressions introduced in the last commit
  * Dead code elimination 1/3
  * Fix bug, add "add contact" option, fix warning
  * * #7019: Fix IAX codec negociation
  * Remove or comment unnecessary/unhelpful debug output
  * Fix "same as local" account setting, fix IP2IP LED color
  * Add support for some more advanced config options and add missing
    config dialog icons
  * Fix crash with noise suppressor
  * Alternative can now be selected from the call view context menu
  * Add drag and drop support, initial context menu and fix 3 bugs in
    the account dialog
  * Add basic history drag and drop support
  * Complete contact support is back
  * * #6991 : fix IAX problems
  * Fix IAX accounts being disabled by default
  * Revert "deb: forge -g flags for pjsip"
  * * #5884: Disable debug code in pjsip
  * echo suppressor : more assertions
  * Don't let the daemon think crypto is enabled when it's not
  * Simplify ToneList
  * Some progress on contact support
  * Remove unused getRegistrationCount()
  * remove annoying debug
  * revert SIP bit of e27e5c39bad27bae28f574eb2cba7717e8956229
  * Simplify CallManager::placeCallFirstAccount
  * Fix crash on hold
  * * #6905 : SIP refactor
  * gnome client: be sure key exchange is set correctly
  * Move code into createSipTransport
  * Fix account registration on start
  * ManagerImpl::registerAccounts(): simplify
  * * #5884: don't mess with pjsip threads in echo suppressor
  * * #6905 : simplify udp/stun/tls pjsip transport creation
  * Restore and improve support for Call history
  * fix launchpad build
  * SIPVoIPLink: simplify / refactor
  * Fix libwidget linking
  * SIP: simplify
  * IM : simplify
  * gnome: remove some debug
  * AudioRtpFactory::stop() cannot fail
  * * #6905: simplify SIP code
  * pjlib: fix build without SSLv2, fix warnings
  * Port history to the new syntax
  * Test a dock widget based implementation for contact and history
  * Disable SSLv2 support from pjsip and sflphone
  * deb: forge -g flags for pjsip
  * Fix deb packaging to get debug symbols
  * remove debug
  * pjproject: update to last stable release (1.10)
  * Require gtk >= 2.20 and glib >= 2.24
  * tlsadvanceddialog: simplify
  * * #6902 : fix errors spotted by -DGSEAL_ENABLE
  * Update daemon dbus XML and port KDE config backend from dbus to
    local
  * Remove unused but set variables
  * * #6929 : fix IM widget, cleanup
  * Unconditionally enable debug symbols
  * Should fix many KDE issues
  * * #6886 : hitting backspace on empty number have no side effects
  * * #6905 : fix AudioCodecFactory access in optimized builds (-O > 0)
  * Remove unsupported and broken jaunty/karmic packages
  * * #6902 : avoid using some gtk deprecated functions
  * Update dbus introspection files
  * * #6904: removed unused contactmanager
  * * #6903 : use correct dbus-cxx package name


=== daemon/tools/build-system/launchpad/sflphone/debian/changelog ===
sflphone (1.1.0-rc20120607~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.1.0-rc20120607~ppa1~SYSTEM **

  * gnome: cleanup logging
  * * #12061: gnome: fix video codec list display
  * * #12050: gnome: fixed regression in active codec handling
  * #11732: Do not align menu with other interface component
  * * #11818: gnome: stop daemon on SIGTERM, SIGINT or SIGHUP
  * #10304: updatePlaybackScale dbus method uses int 32 bit for size and
    position (allow for 24 days long recording playback)
  * #10304: Add time lable for seekslider
  * * #10725: gnome: seekslider: fixed compiler warning due to missing
    header
  * * #11732: gnome:calltree: fix warning when searchbar is not created
  * * #11252: daemon: removed deprecated zrtp code
  * #10725: Consolidate test to determine if there is a recording,
    remove log on NULL pointer
  * #10725: Remove logging from stop callback in seekslider
  * #10725: No need of playback related callbacks in uimanager
  * #10725: Remove logging in seekslider when no selected call
  * #11732: Align Icons with dialpad in gnome client
  * #10304: Make sure that the playback won't be updated after reset
  * #10304: Prevent playback widget reset from stoping dtmf
  * #10304: Move Playback widget at the bottom of the main window
  * #10304: Fix logic to determine outgoing/incoming calls for recording
    icon
  * * #11685: gnome: fixed memory leaks in config menus
  * #10304: Fix reset seekslider that prevent scale to be updated at
    first read

 -- Julien Bonjean <julien.bonjean@savoirfairelinux.com>  Thu, 07 Jun 2012 16:04:59 -0400

sflphone (1.0.0-rc20110930~ppa1~SYSTEM) SYSTEM; urgency=low

    ** SNAPSHOT 1.0.0-rc20110930~ppa1~SYSTEM **

  * update kde .gitignore
  * Fix bug in volume widget
  * More polishing for release
  * Bump version to 1.0.0
  * [#7023] Add the ability to load an abstract contact backend in the
    library to resolve more data, polish code
  * [#7021] More cleanup for release
  * Cleanup
  * [#7021] Refactor KDE client dbus handling, add a missing call in
    daemon and port the DataEngine to the new API
  * Remove some annoying debug
  * merge language scripts
  * remove obsolete 'VERSION' files
  * update install instructions
  * Add missing translations to gnome
  * language update
  * Revert "Don't reference count DBus clients, exit core immediately
    when one of them request it"
  * Don't reference count DBus clients, exit core immediately when one
    of them request it
  * [7021] Add contact abstraction support
  * [#7121] Polishing library (over). Indentation, spacing and naming
    are now consistent
  * codecs: link to libccrtp, don't use logger
  * Fix a daemon bug
  * [#7038] Fix adding contact
  * * #7037 : stop audio stream after all calls have been hanged up
  * [#7025] Add full support for bookmark
  * SFLPhone KDE do not destroy history anymore
  * Fix config skeleton
  * Close the daemon once and for all, no more automatic respawning
  * Fix "unregistered account" bug (I hope so)
  * Close SFLPhone at the right place, it still respawn, I don't know
    why
  * Remove dead code
  * Fix regressions introduced in the last commit
  * Dead code elimination 1/3
  * Fix bug, add "add contact" option, fix warning
  * * #7019: Fix IAX codec negociation
  * Remove or comment unnecessary/unhelpful debug output
  * Fix "same as local" account setting, fix IP2IP LED color
  * Add support for some more advanced config options and add missing
    config dialog icons
  * Fix crash with noise suppressor
  * Alternative can now be selected from the call view context menu
  * Add drag and drop support, initial context menu and fix 3 bugs in
    the account dialog
  * Add basic history drag and drop support
  * Complete contact support is back
  * * #6991 : fix IAX problems
  * Fix IAX accounts being disabled by default
  * Revert "deb: forge -g flags for pjsip"
  * * #5884: Disable debug code in pjsip
  * echo suppressor : more assertions
  * Don't let the daemon think crypto is enabled when it's not
  * Simplify ToneList
  * Some progress on contact support
  * Remove unused getRegistrationCount()
  * remove annoying debug
  * revert SIP bit of e27e5c39bad27bae28f574eb2cba7717e8956229
  * Simplify CallManager::placeCallFirstAccount
  * Fix crash on hold
  * * #6905 : SIP refactor
  * gnome client: be sure key exchange is set correctly
  * Move code into createSipTransport
  * Fix account registration on start
  * ManagerImpl::registerAccounts(): simplify
  * * #5884: don't mess with pjsip threads in echo suppressor
  * * #6905 : simplify udp/stun/tls pjsip transport creation
  * Restore and improve support for Call history
  * fix launchpad build
  * SIPVoIPLink: simplify / refactor
  * Fix libwidget linking
  * SIP: simplify
  * IM : simplify
  * gnome: remove some debug
  * AudioRtpFactory::stop() cannot fail
  * * #6905: simplify SIP code
  * pjlib: fix build without SSLv2, fix warnings
  * Port history to the new syntax
  * Test a dock widget based implementation for contact and history
  * Disable SSLv2 support from pjsip and sflphone
  * deb: forge -g flags for pjsip
  * Fix deb packaging to get debug symbols
  * remove debug
  * pjproject: update to last stable release (1.10)
  * Require gtk >= 2.20 and glib >= 2.24
  * tlsadvanceddialog: simplify
  * * #6902 : fix errors spotted by -DGSEAL_ENABLE
  * Update daemon dbus XML and port KDE config backend from dbus to
    local
  * Remove unused but set variables
  * * #6929 : fix IM widget, cleanup
  * Unconditionally enable debug symbols
  * Should fix many KDE issues
  * * #6886 : hitting backspace on empty number have no side effects
  * * #6905 : fix AudioCodecFactory access in optimized builds (-O > 0)
  * Remove unsupported and broken jaunty/karmic packages
  * * #6902 : avoid using some gtk deprecated functions
  * Update dbus introspection files
  * * #6904: removed unused contactmanager
  * * #6903 : use correct dbus-cxx package name


=== daemon/tools/build-system/launchpad/sflphone-daemon/debian/control ===
Source: sflphone-daemon
Maintainer: SavoirFaireLinux Inc <julien.bonjean@savoirfairelinux.com>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 7.0.50), libgcc1, autoconf, automake, libpulse-dev, libsamplerate0-dev, libccrtp-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, libopus-dev, libspeexdsp-dev, libexpat1-dev, libzrtpcpp-dev, libssl-dev, libgnutls-dev, libpcre3-dev, libyaml-cpp-dev, libboost-dev, libdbus-c++-dev, libsndfile1-dev, libpjproject-dev, libsrtp-dev, libjack-dev
Standards-Version: 3.7.3

Package: sflphone-daemon
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: sflphone, sflphone-common
Provides: sflphone-common
Conflicts: sflphone-common-video, sflphone-daemon-video, sflphone-data
Homepage: http://www.sflphone.org
Description: SIP and IAX2 compatible softphone - Core
 SFLphone is meant to be a robust enterprise-class desktop phone.
 SFLphone is released under the GNU General Public License.
 SFLphone is being developed by the global community, and maintained by
 Savoir-faire Linux, a Montreal, Quebec, Canada-based Linux consulting company.

Package: sflphone-daemon-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    sflphone-daemon (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for sflphone-daemon

=== packaging/rules/debian/control ===
Source: ring
Section: comm
Priority: extra
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               autoconf,
               automake,
               cmake,
               libtool,
# gnome client
               libebook1.2-dev,
               libclutter-gtk-1.0-dev,
               libclutter-1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libnotify-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               unbound-anchor,
               git-core,
               gnome-icon-theme-symbolic,
               gettext,
               libqrencode-dev,
               libappindicator-dev,
# ring-daemon
               libdbus-1-dev,
               libdbus-c++-dev,
               libupnp-dev,
               libgnutls28-dev,
               yasm,
               autotools-dev,
               libpulse-dev,
               libasound2-dev,
               libexpat1-dev,
               libpcre3-dev,
               libyaml-cpp-dev,
               libboost-dev,
               libsndfile1-dev,
               libsrtp-dev,
               libxext-dev,
               libxfixes-dev,
               autopoint,
               libspeex-dev,
               libspeexdsp-dev,
               chrpath,
               uuid-dev,
               libavcodec-dev,
               libavutil-dev,
               libavformat-dev,
               libswscale-dev,
               libavdevice-dev,
               libopus-dev,
               libudev-dev,
               libticonv-dev,
               libgsm1-dev,
               libjsoncpp-dev,
               libnatpmp-dev
Standards-Version: 3.9.8
Homepage: https://ring.cx
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/ring.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/ring.git

Package: ring
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ring-daemon (=${binary:Version})
Description: Secure and distributed voice, video and chat platform - desktop client
 Ring (ring.cx) is a secure and distributed voice, video and chat communication
 platform that requires no centralized server and leaves the power of privacy
 in the hands of the user.
 .
 This package contains the desktop client: gnome-ring.

Package: ring-daemon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Secure and distributed voice, video and chat platform - daemon
 Ring (ring.cx) is a secure and distributed voice, video and chat communication
 platform that requires no centralized server and leaves the power of privacy
 in the hands of the user.
 .
 This package contains the Ring daemon: dring.

=== daemon/tools/build-system/launchpad/mozilla-telify-sflphone/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

VERSION="1.0"

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	echo ${DIR}
	umask 0022
	mkdir -p tmp/telify
	unzip telify-${VERSION}-fx.xpi -d tmp/telify
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

	rm -rf tmp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_link -i
	dh_compress -XMPL -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== packaging/rules/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Number of CPUS
NO_CPUS=$(shell nproc)
ifeq ($(NO_CPUS),0)
NO_CPUS=1
endif

%:
	dh $@

override_dh_auto_configure:
	###############################################
	## Re-create tarballs from tarballs-unpacked ##
	###############################################
	mkdir -p daemon/contrib/tarballs

	# Create tarballs
	for i in $(CURDIR)/daemon/contrib/tarballs-unpacked/*; do \
		projectname=`basename $$i` && \
		cd $$i && tar -caf ../../tarballs/$$projectname * && \
		echo "Repacked $$projectname"; \
	done

	# Prevent bootstrap script from verifying checksums
	mkdir -p daemon/contrib/native
	touch daemon/contrib/native/.sum-msgpack
	touch daemon/contrib/native/.sum-opendht
	touch daemon/contrib/native/.sum-pjproject

	###########################
	## Ring Daemon configure ##
	###########################
	mkdir -p daemon/contrib/native
	cd daemon/contrib/native && \
        ../bootstrap \
				--disable-ogg \
				--disable-flac \
				--disable-vorbis \
				--disable-vorbisenc \
				--disable-speex \
				--disable-sndfile \
				--disable-speexdsp && \
		make list && \
		make -j1
	cd daemon && \
		./autogen.sh && \
		./configure \
				--prefix=/usr \
				--without-iax

	#############################
	## libringclient configure ##
	#############################
	cd lrc && \
		mkdir build && \
		cd build && \
		cmake  \
			-DRING_BUILD_DIR=$(CURDIR)/daemon/src \
			-DCMAKE_INSTALL_PREFIX=/usr \
			-DENABLE_VIDEO=true \
			..

	############################
	## gnome client configure ##
	############################
	cd client-gnome && \
		mkdir build && \
		cd build && \
		cmake \
			-DCMAKE_INSTALL_PREFIX=/usr \
			-DLibRingClient_PROJECT_DIR=/$(CURDIR)/lrc \
			..

	dh_auto_configure

override_dh_auto_build:
	#######################
	## Ring Daemon build ##
	#######################
	cd daemon && make -j$(NO_CPUS)
	pod2man daemon/man/dring.pod > daemon/dring.1

	#########################
	## libringclient build ##
	#########################
	cd lrc/build && make -j$(NO_CPUS)

	########################
	## gnome client build ##
	########################
	cd client-gnome/build && make LDFLAGS="-lpthread" -j$(NO_CPUS)

override_dh_auto_clean:
	################################
	## Generated contrib tarballs ##
	################################
	rm -rfv daemon/contrib/tarballs

	#######################
	## Ring Daemon clean ##
	#######################
	if [ -d daemon/contrib/native ]; then cd daemon/contrib/native && make distclean; fi
	rm -rfv daemon/contrib/native
	rm -rfv daemon/dring.1

	#########################
	## libringclient clean ##
	#########################
	if [ -d lrc/build ]; then cd lrc/build && make distclean; fi
	rm -rfv lrc/build

	########################
	## gnome client clean ##
	########################
	if [ -d client-gnome/build ]; then cd client-gnome/build && make distclean; fi
	rm -rfv client-gnome/build

override_dh_auto_install:
	#########################
	## Ring Daemon install ##
	#########################
	cd daemon && make DESTDIR=$(CURDIR)/debian/ring-daemon install
	rm -rfv $(CURDIR)/debian/ring-daemon/usr/include
	rm -rfv $(CURDIR)/debian/ring-daemon/usr/lib

	###########################
	## libringclient install ##
	###########################
	cd lrc/build && make DESTDIR=$(CURDIR)/debian/ring install
	rm -rfv $(CURDIR)/debian/ring/usr/include

	# This is a symlink, should be in -dev package
	rm -v $(CURDIR)/debian/ring/usr/lib/libringclient.so

	# cmake files
	rm -rfv $(CURDIR)/debian/ring/usr/lib/cmake

	##########################
	## gnome client install ##
	##########################
	cd client-gnome/build && make DESTDIR=$(CURDIR)/debian/ring install

	# Remove ring binary: it is not needed for now
	rm $(CURDIR)/debian/ring/usr/bin/ring.cx

tmpdir:= $(shell mktemp -d)
workdir:= $(shell pwd)
PKD := $(abspath $(dir $(MAKEFILE_LIST)))
version_to_download := $(shell dpkg-parsechangelog -ldebian/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\~dfsg.+)(?:\-\d+.*)};')

# Repacks the tarball with contrib tarballs unpacked.
get-orig-source:
	# Download ring tarball
	if [ -n "$$GET_ORIG_SOURCE_OVERRIDE_USCAN_TARBALL" ]; then \
	    mv $$GET_ORIG_SOURCE_OVERRIDE_USCAN_TARBALL ${tmpdir}; \
	else \
	    uscan --rename --destdir=${tmpdir} --download-version ${version_to_download} ;\
	fi

	# Unpack ring tarball
	tar -C ${tmpdir} -xf ${tmpdir}/*.tar.gz

	# Remove original tarball
	rm ${tmpdir}/*.tar.gz

	# Unpack all of the orig tarballs into tarballs-unpacked
	mkdir ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked
	for i in `find ${tmpdir}/ring-project/daemon/contrib/tarballs/ -name "*.tar.*"`; do \
		projectname=`basename $$i` && \
		mkdir ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/$$projectname && \
		tar -C ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/$$projectname -xf $$i && \
		echo "Unpacked $$projectname"; \
    done

	###################
	## Exclude files ##
	###################
	# This does not exclude everything that we need to exclude.
	# debian/copyright's File-Excluded section also excludes files.

    ## pjproject
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/g7221 # non-distributable (requires a license from Polycom)
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/ilbc # non distributable (the version included with pjproject)
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/milenage # non distributable
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/BaseClasses # non distributable (?)
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/portaudio # not needed
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/speex # not needed
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/mp3 # not needed
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/gsm # not needed
	rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/bdsound # not needed
	#rm -rf  ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/third_party/srtp # not needed
	rm -f ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/pjmedia/src/pjmedia-audiodev/s60_g729_bitstream.h # non distributable
	rm -rf ${tmpdir}/ring-project/daemon/contrib/tarballs-unpacked/pjproject-*/pjproject-*/build/vs # not needed, VisualStudio files.

	# Remove all contrib tarballs
	rm -rf ${tmpdir}/ring-project/daemon/contrib/tarballs

	# Create the new tarball
	cd  ${tmpdir} && tar -czf ${workdir}/ring_${version_to_download}~dfsg1.orig.tar.gz ring-project

	# Clear the temp dir
	rm -rf ${tmpdir}

=== daemon/tools/build-system/launchpad/mozilla-telify-sflphone/debian/watch ===
version=3
http://www.codepad.de/en/download/firefox-add-ons/telify.html /download/Telify-(.*)-fx-tb.xpi
